package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
public class ClassDict {
  protected Text text;
  public Text get_text() { return text; }
  public void set_text(Text new_text) { text = new_text; }
  public ClassDict() { super(); }
  public ClassDict(Text text) {
    super();
    set_text(text);
  }
  public static ClassDict parse(java.io.Reader in) throws ParseException { return new Parser(in)._ClassDict(); }
  public static ClassDict parse(java.io.InputStream in) throws ParseException { return new Parser(in)._ClassDict(); }
  public static ClassDict parse(String s) {
    try { return parse(new java.io.StringReader(s)); }
    catch (ParseException e) {
      throw new RuntimeException(e.toString());
    }
  }
  void universal_trv0_bef(UniversalVisitor _v_) {
    ((UniversalVisitor) _v_).before(this);
  }

  void universal_trv0_aft(UniversalVisitor _v_) {
    ((UniversalVisitor) _v_).after(this);
  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    ((UniversalVisitor) _v_).before_text(this, text);
    ((UniversalVisitor) _v_).after_text(this, text);
    universal_trv0_aft(_v_);
  }

}
